Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates/upload.linux.sh

41 lines
985 B
Bash

#if [ $# -eq 0 ]
# then
# echo "Commit message required"
# exit 1
#fi
#echo "Getting credentials"
#git credential-store --file ~/git.store get
echo "pushing Files for Update"
(cd "/home/henry/Documents/WA_Repo/Tips_and_Hacks/MAST_tW_PDF_Updater/FilesForUpdates";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing ULB"
(cd "/home/henry/Documents/WA_Repo/en_ulb";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing UDB"
(cd "/home/henry/Documents/WA_Repo/en_udb";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing tW"
(cd "/home/henry/Documents/WA_Repo/en_tw";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }
echo
echo
echo "pushing tN"
(cd "/home/henry/Documents/WA_Repo/en_tn";
git pull
git commit -a -m "$1"
git push) || { echo 'Could not commit!' >&2; exit 1; }